This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 498899 - perl-DBD-Pg: two memleaks from upstream RT
perl-DBD-Pg: two memleaks from upstream RT
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 06:25 EDT by Tomas Hoger
Modified: 2009-06-15 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 09:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-05-04 06:25:34 EDT
Description of problem:
Following upstream bugs mention two memory leaks in perl-DBD-Pg that are already fixed in upstream SVN / releases:

http://rt.cpan.org/Public/Bug/Display.html?id=44225
http://svn.perl.org/viewvc/modules?view=revision&revision=12613
(fixed in 2.12.0)

http://rt.cpan.org/Public/Bug/Display.html?id=45163
http://svn.perl.org/viewvc/modules?view=revision&revision=12711
(fixed in 2.13.1)

Version-Release number of selected component (if applicable):
perl-DBD-Pg-2.11.6-2
Comment 1 Tomas Hoger 2009-05-04 06:28:48 EDT
These does not affect DBD-Pg 1.x currently in RHEL.  I did not investigate more closely if these are likely to be exposed in some applications in a harmful way.  Would be good to make sure these are fixed before RHEL6 to avoid errata process overhead.
Comment 2 Fedora Update System 2009-05-04 08:53:53 EDT
perl-DBD-Pg-2.13.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-DBD-Pg-2.13.1-1.fc9
Comment 3 Fedora Update System 2009-05-04 08:58:31 EDT
perl-DBD-Pg-2.13.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-DBD-Pg-2.13.1-1.fc10
Comment 4 Fedora Update System 2009-05-04 09:02:39 EDT
perl-DBD-Pg-2.13.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-DBD-Pg-2.13.1-1.fc11
Comment 5 Fedora Update System 2009-06-15 21:43:09 EDT
perl-DBD-Pg-2.13.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-06-15 22:06:12 EDT
perl-DBD-Pg-2.13.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-15 22:46:41 EDT
perl-DBD-Pg-2.13.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.